package com.bizmatics.mhfire.controller.web;

import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.mhfire.service.SiAeAllService;
import com.bizmatics.mhfire.service.vo.SiAeAllVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author yq
 * @date 2021/5/25 16:19
 * 监督检查行政执法总记录
 */
@RestController
@RequestMapping("siaeall")
public class SiAeAllControllerWeb {


    @Autowired
    public SiAeAllService aeAllService;


    /**
     * 行政执法总记录汇总
     * @param startTime
     * @param endTime
     * @return
     */
    @PostMapping("/siAeAllCollect")
    public ApiResult<List<SiAeAllVO>> aeAllCollect(String startTime,String endTime){
        return ApiResult.success(aeAllService.getAeAllCollect(startTime,endTime));
    }
}
